Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366716 - Add support for MIPS
Summary: Add support for MIPS
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nvidia-texture-tools
Version: 26
Hardware: mips64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-08-12 15:53 UTC by Michal Toman
Modified: 2017-11-15 14:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-15 14:30:41 UTC


Attachments (Terms of Use)
Add-support-for-MIPS.patch (deleted)
2016-08-12 15:53 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-08-12 15:53:56 UTC
Created attachment 1190488 [details]
Add-support-for-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding MIPS support to nvidia-texture-tools.

Actual results:
Build fails because nvidia-texture-tools is MIPS-unaware.

Expected results:
Build passes.

Additional info:
Attaching dist-git patch. It would be nice to have this in F25 as well.

Comment 1 Fedora End Of Life 2017-02-28 10:06:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Paulo Andrade 2017-11-15 14:30:41 UTC
Sorry for the really long delay.

Added the mips patch, and also added a patch for s390x and
ppc64le to fix FTBFS in rawhide


Note You need to log in before you can comment on or make changes to this bug.